﻿<?php
if (!empty( $_SESSION ['username'] ))
	header ( 'Location:' . Url ( 'index', 'index' ) );
?>
<!DOCTYPE html>
<html class="login-bg">
<head>
	<title><?=$title?></title>
    
	<meta name="viewport" content="width=device-width, initial-scale=1.0" />
	<meta http-equiv="X-UA-Compatible" content="IE=edge,Chrome=1" />
    <!-- bootstrap -->
    <link href="View/public/css/bootstrap/bootstrap.css" rel="stylesheet" />
    <link href="View/public/css/bootstrap/bootstrap-responsive.css" rel="stylesheet" />
    <link href="View/public/css/bootstrap/bootstrap-overrides.css" type="text/css" rel="stylesheet" />
    <link href="View/public/css/lib/bootstrap-wysihtml5.css" type="text/css" rel="stylesheet" />
    
    <!-- global styles -->
    <link rel="stylesheet" type="text/css" href="View/public/css/layout.css" />
    <link rel="stylesheet" type="text/css" href="View/public/css/elements.css" />
    <link rel="stylesheet" type="text/css" href="View/public/css/icons.css" />

    <!-- libraries -->
    <link rel="stylesheet" type="text/css" href="View/public/css/lib/font-awesome.css" />
    
    <!-- this page specific styles -->
    <link rel="stylesheet" href="View/public/css/compiled/signin.css" type="text/css" media="screen" />

    <!--[if lt IE 9]>
      <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" /></head>
<body>
    <div class="row-fluid login-wrapper">
        <a href="index.html">
            <img class="logo" src="View/public/img/logo-white.png" />
        </a>

        <div class="span4 box">
            <div class="content-wrap">
                <h6>登录</h6>
                <input class="span12" type="text" placeholder="游戏账号" id="username"/>
                <input class="span12" type="password" placeholder="游戏密码" id="password"/>
                <a href="<?=Url('index' , 'forge')?>" class="forgot">忘记了密码?</a>
                <button type="button" id="submit" class="btn-glow primary login">登陆</button>
            </div>
        </div>

        <div class="span4 no-account">
            <p>还没注册?</p>
            <a href="<?=Url('index' , 'register')?>">点击这里注册</a>
        </div>
    </div>

	<!-- scripts -->
    <script src="View/public/js/jquery-latest.js"></script>

   <!--<script src="http://libs.useso.com/js/jquery/2.0.0/jquery.min.js"></script> -->
    <script src="View/public/js/bootstrap.min.js"></script>
    <script src="View/public/js/theme.js"></script>
    <script src="View/public/js/jquery.uniform.min.js"></script>
    <script src="View/public/js/select2.min.js"></script>   
   <!-- pre load bg imgs -->
    <script type="text/javascript">
    $(document).ready(function(){
        $("#submit").click(function(){
            var user = $("#username").val(); 
            var pass = $("#password").val();
            if(user==""){ 
                alert("用户名不能为空！");
                return false; 
            } 
            if(pass==""){ 
                alert("密码不能为空！");
                return false; 
            }       
             $.ajax({
        	   type:"POST",
        	   data:{user:user,pass:pass},
        	   dataType:"json",
        	   url:'<?=Url('user_public','login')?>',
               success:function(rdata){
                   if(rdata.status=="success"){
                      alert(rdata.info);     
                      window.location.href = "<?=Url('index','index')?>"; 
                    } else{
                        alert("登陆失败");
      	             return false;  
                    }        
                }        
           });
        });  
    });
    </script>
    <script type="text/javascript">
     //   $(function () {
     //  
     //       // bg switcher
      //      var $btns = $(".bg-switch .bg");
     //       $btns.click(function (e) {
      ///          e.preventDefault();
      //          $btns.removeClass("active");
      //          $(this).addClass("active");
     //           var bg = $(this).data("img");
///
     //           $("html").css("background-image", "url('View/public/img/bgs/" + bg + "')");
     //       });

       // });
    </script>

</body>
</html>